## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenModelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenModelPackageImpl

All Implemented Interfaces:
  GenModelPackage, Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class GenModelPackageImpl

extends EPackageImpl
implements GenModelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenModelPackage
`GenModelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenModelPackage

`eCONTENT_TYPE, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GEN_ANNOTATION, GEN_ANNOTATION__CONTENTS, GEN_ANNOTATION__DETAILS, GEN_ANNOTATION__GEN_ANNOTATIONS, GEN_ANNOTATION__GEN_BASE, GEN_ANNOTATION__REFERENCES, GEN_ANNOTATION__SOURCE, GEN_ANNOTATION_FEATURE_COUNT, GEN_BASE, GEN_BASE__GEN_ANNOTATIONS, GEN_BASE_FEATURE_COUNT, GEN_CLASS, GEN_CLASS__DYNAMIC, GEN_CLASS__ECORE_CLASS, GEN_CLASS__GEN_ANNOTATIONS, GEN_CLASS__GEN_FEATURES, GEN_CLASS__GEN_OPERATIONS, GEN_CLASS__GEN_PACKAGE, GEN_CLASS__GEN_TYPE_PARAMETERS, GEN_CLASS__IMAGE, GEN_CLASS__LABEL_FEATURE, GEN_CLASS__PROVIDER, GEN_CLASS_FEATURE_COUNT, GEN_CLASSIFIER, GEN_CLASSIFIER__GEN_ANNOTATIONS, GEN_CLASSIFIER__GEN_PACKAGE, GEN_CLASSIFIER__GEN_TYPE_PARAMETERS, GEN_CLASSIFIER_FEATURE_COUNT, GEN_DATA_TYPE, GEN_DATA_TYPE__ECORE_DATA_TYPE, GEN_DATA_TYPE__GEN_ANNOTATIONS, GEN_DATA_TYPE__GEN_PACKAGE, GEN_DATA_TYPE__GEN_TYPE_PARAMETERS, GEN_DATA_TYPE_FEATURE_COUNT, GEN_DELEGATION_KIND, GEN_ENUM, GEN_ENUM__ECORE_DATA_TYPE, GEN_ENUM__ECORE_ENUM, GEN_ENUM__GEN_ANNOTATIONS, GEN_ENUM__GEN_ENUM_LITERALS, GEN_ENUM__GEN_PACKAGE, GEN_ENUM__GEN_TYPE_PARAMETERS, GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE, GEN_ENUM_FEATURE_COUNT, GEN_ENUM_LITERAL, GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL, GEN_ENUM_LITERAL__GEN_ANNOTATIONS, GEN_ENUM_LITERAL__GEN_ENUM, GEN_ENUM_LITERAL_FEATURE_COUNT, GEN_FEATURE, GEN_FEATURE__CHILDREN, GEN_FEATURE__CREATE_CHILD, GEN_FEATURE__ECORE_FEATURE, GEN_FEATURE__GEN_ANNOTATIONS, GEN_FEATURE__GEN_CLASS, GEN_FEATURE__NOTIFY, GEN_FEATURE__PROPERTY, GEN_FEATURE__PROPERTY_CATEGORY, GEN_FEATURE__PROPERTY_DESCRIPTION, GEN_FEATURE__PROPERTY_FILTER_FLAGS, GEN_FEATURE__PROPERTY_MULTI_LINE, GEN_FEATURE__PROPERTY_SORT_CHOICES, GEN_FEATURE_FEATURE_COUNT, GEN_JDK_LEVEL, GEN_MODEL, GEN_MODEL__ARRAY_ACCESSORS, GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS, GEN_MODEL__BOOLEAN_FLAGS_FIELD, GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS, GEN_MODEL__BUNDLE_MANIFEST, GEN_MODEL__CLASS_NAME_PATTERN, GEN_MODEL__CODE_FORMATTING, GEN_MODEL__COLOR_PROVIDERS, GEN_MODEL__COMPLIANCE_LEVEL, GEN_MODEL__CONTAINMENT_PROXIES, GEN_MODEL__COPYRIGHT_FIELDS, GEN_MODEL__COPYRIGHT_TEXT, GEN_MODEL__CREATION_COMMANDS, GEN_MODEL__CREATION_ICONS, GEN_MODEL__CREATION_SUBMENUS, GEN_MODEL__DYNAMIC_TEMPLATES, GEN_MODEL__EDIT_DIRECTORY, GEN_MODEL__EDIT_PLUGIN_CLASS, GEN_MODEL__EDIT_PLUGIN_ID, GEN_MODEL__EDIT_PLUGIN_VARIABLES, GEN_MODEL__EDITOR_DIRECTORY, GEN_MODEL__EDITOR_PLUGIN_CLASS, GEN_MODEL__EDITOR_PLUGIN_ID, GEN_MODEL__EDITOR_PLUGIN_VARIABLES, GEN_MODEL__FACADE_HELPER_CLASS, GEN_MODEL__FEATURE_DELEGATION, GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS, GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE, GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE, GEN_MODEL__FONT_PROVIDERS, GEN_MODEL__FORCE_OVERWRITE, GEN_MODEL__FOREIGN_MODEL, GEN_MODEL__GEN_ANNOTATIONS, GEN_MODEL__GEN_PACKAGES, GEN_MODEL__GENERATE_SCHEMA, GEN_MODEL__IMPORTER_ID, GEN_MODEL__INTERFACE_NAME_PATTERN, GEN_MODEL__LANGUAGE, GEN_MODEL__MINIMAL_REFLECTIVE_METHODS, GEN_MODEL__MODEL_DIRECTORY, GEN_MODEL__MODEL_NAME, GEN_MODEL__MODEL_PLUGIN_CLASS, GEN_MODEL__MODEL_PLUGIN_ID, GEN_MODEL__MODEL_PLUGIN_VARIABLES, GEN_MODEL__NON_EXTERNALIZED_STRING_TAG, GEN_MODEL__NON_NLS_MARKERS, GEN_MODEL__OPTIMIZED_HAS_CHILDREN, GEN_MODEL__PACKED_ENUMS, GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS, GEN_MODEL__PUBLIC_CONSTRUCTORS, GEN_MODEL__REDIRECTION, GEN_MODEL__REFLECTIVE_DELEGATION, GEN_MODEL__RICH_CLIENT_PLATFORM, GEN_MODEL__ROOT_EXTENDS_CLASS, GEN_MODEL__ROOT_EXTENDS_INTERFACE, GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE, GEN_MODEL__RUNTIME_COMPATIBILITY, GEN_MODEL__RUNTIME_JAR, GEN_MODEL__RUNTIME_VERSION, GEN_MODEL__STATIC_PACKAGES, GEN_MODEL__SUPPRESS_CONTAINMENT, GEN_MODEL__SUPPRESS_EMF_META_DATA, GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS, GEN_MODEL__SUPPRESS_EMF_TYPES, GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS, GEN_MODEL__SUPPRESS_INTERFACES, GEN_MODEL__SUPPRESS_NOTIFICATION, GEN_MODEL__SUPPRESS_UNSETTABLE, GEN_MODEL__TABLE_PROVIDERS, GEN_MODEL__TEMPLATE_DIRECTORY, GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES, GEN_MODEL__TEST_SUITE_CLASS, GEN_MODEL__TESTS_DIRECTORY, GEN_MODEL__TESTS_PLUGIN_ID, GEN_MODEL__TESTS_PLUGIN_VARIABLES, GEN_MODEL__UPDATE_CLASSPATH, GEN_MODEL__USED_GEN_PACKAGES, GEN_MODEL_FEATURE_COUNT, GEN_OPERATION, GEN_OPERATION__ECORE_OPERATION, GEN_OPERATION__GEN_ANNOTATIONS, GEN_OPERATION__GEN_CLASS, GEN_OPERATION__GEN_PARAMETERS, GEN_OPERATION__GEN_TYPE_PARAMETERS, GEN_OPERATION_FEATURE_COUNT, GEN_PACKAGE, GEN_PACKAGE__ADAPTER_FACTORY, GEN_PACKAGE__BASE_PACKAGE, GEN_PACKAGE__CHILD_CREATION_EXTENDERS, GEN_PACKAGE__CLASS_PACKAGE_SUFFIX, GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER, GEN_PACKAGE__DATA_TYPE_CONVERTERS, GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY, GEN_PACKAGE__ECORE_PACKAGE, GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY, GEN_PACKAGE__FILE_EXTENSIONS, GEN_PACKAGE__GEN_ANNOTATIONS, GEN_PACKAGE__GEN_CLASSES, GEN_PACKAGE__GEN_CLASSIFIERS, GEN_PACKAGE__GEN_DATA_TYPES, GEN_PACKAGE__GEN_ENUMS, GEN_PACKAGE__GEN_MODEL, GEN_PACKAGE__GENERATE_EXAMPLE_CLASS, GEN_PACKAGE__GENERATE_MODEL_WIZARD, GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX, GEN_PACKAGE__LITERALS_INTERFACE, GEN_PACKAGE__LOAD_INITIALIZATION, GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX, GEN_PACKAGE__MULTIPLE_EDITOR_PAGES, GEN_PACKAGE__NESTED_GEN_PACKAGES, GEN_PACKAGE__PREFIX, GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX, GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX, GEN_PACKAGE__RESOURCE, GEN_PACKAGE__TESTS_PACKAGE_SUFFIX, GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX, GEN_PACKAGE_FEATURE_COUNT, GEN_PARAMETER, GEN_PARAMETER__ECORE_PARAMETER, GEN_PARAMETER__GEN_ANNOTATIONS, GEN_PARAMETER__GEN_OPERATION, GEN_PARAMETER_FEATURE_COUNT, GEN_PROPERTY_KIND, GEN_PROVIDER_KIND, GEN_RESOURCE_KIND, GEN_RUNTIME_VERSION, GEN_TYPE_PARAMETER, GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER, GEN_TYPE_PARAMETER__GEN_ANNOTATIONS, GEN_TYPE_PARAMETER_FEATURE_COUNT, GEN_TYPED_ELEMENT, GEN_TYPED_ELEMENT__GEN_ANNOTATIONS, GEN_TYPED_ELEMENT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getGenAnnotation_Contents()`
`EReference` `getGenAnnotation_Details()`
`EReference` `getGenAnnotation_GenBase()`
`EReference` `getGenAnnotation_References()`
`EAttribute` `getGenAnnotation_Source()`
`EClass` `getGenAnnotation()`
`EReference` `getGenBase_GenAnnotations()`
`EClass` `getGenBase()`
`EAttribute` `getGenClass_Dynamic()`
`EReference` `getGenClass_EcoreClass()`
`EReference` `getGenClass_GenFeatures()`
`EReference` `getGenClass_GenOperations()`
`EAttribute` `getGenClass_Image()`
`EReference` `getGenClass_LabelFeature()`
`EAttribute` `getGenClass_Provider()`
`EClass` `getGenClass()`
`EReference` `getGenClassifier_GenPackage()`
`EReference` `getGenClassifier_GenTypeParameters()`
`EClass` `getGenClassifier()`
`EReference` `getGenDataType_EcoreDataType()`
`EClass` `getGenDataType()`
`EEnum` `getGenDelegationKind()`
`EReference` `getGenEnum_EcoreEnum()`
`EReference` `getGenEnum_GenEnumLiterals()`
`EAttribute` `getGenEnum_TypeSafeEnumCompatible()`
`EClass` `getGenEnum()`
`EReference` `getGenEnumLiteral_EcoreEnumLiteral()`
`EReference` `getGenEnumLiteral_GenEnum()`
`EClass` `getGenEnumLiteral()`
`EAttribute` `getGenFeature_Children()`
`EAttribute` `getGenFeature_CreateChild()`
`EReference` `getGenFeature_EcoreFeature()`
`EReference` `getGenFeature_GenClass()`
`EAttribute` `getGenFeature_Notify()`
`EAttribute` `getGenFeature_Property()`
`EAttribute` `getGenFeature_PropertyCategory()`
`EAttribute` `getGenFeature_PropertyDescription()`
`EAttribute` `getGenFeature_PropertyFilterFlags()`
`EAttribute` `getGenFeature_PropertyMultiLine()`
`EAttribute` `getGenFeature_PropertySortChoices()`
`EClass` `getGenFeature()`
`EEnum` `getGenJDKLevel()`
`EAttribute` `getGenModel_ArrayAccessors()`
`EAttribute` `getGenModel_BinaryCompatibleReflectiveMethods()`
`EAttribute` `getGenModel_BooleanFlagsField()`
`EAttribute` `getGenModel_BooleanFlagsReservedBits()`
`EAttribute` `getGenModel_BundleManifest()`
`EAttribute` `getGenModel_ClassNamePattern()`
`EAttribute` `getGenModel_CodeFormatting()`
`EAttribute` `getGenModel_ColorProviders()`
`EAttribute` `getGenModel_ComplianceLevel()`
`EAttribute` `getGenModel_ContainmentProxies()`
`EAttribute` `getGenModel_CopyrightFields()`
`EAttribute` `getGenModel_CopyrightText()`
`EAttribute` `getGenModel_CreationCommands()`
`EAttribute` `getGenModel_CreationIcons()`
`EAttribute` `getGenModel_CreationSubmenus()`
`EAttribute` `getGenModel_DynamicTemplates()`
`EAttribute` `getGenModel_EditDirectory()`
`EAttribute` `getGenModel_EditorDirectory()`
`EAttribute` `getGenModel_EditorPluginClass()`
`EAttribute` `getGenModel_EditorPluginID()`
`EAttribute` `getGenModel_EditorPluginVariables()`
`EAttribute` `getGenModel_EditPluginClass()`
`EAttribute` `getGenModel_EditPluginID()`
`EAttribute` `getGenModel_EditPluginVariables()`
`EAttribute` `getGenModel_FacadeHelperClass()`
`EAttribute` `getGenModel_FeatureDelegation()`
`EAttribute` `getGenModel_FeatureMapWrapperClass()`
`EAttribute` `getGenModel_FeatureMapWrapperInterface()`
`EAttribute` `getGenModel_FeatureMapWrapperInternalInterface()`
`EAttribute` `getGenModel_FontProviders()`
`EAttribute` `getGenModel_ForceOverwrite()`
`EAttribute` `getGenModel_ForeignModel()`
`EAttribute` `getGenModel_GenerateSchema()`
`EReference` `getGenModel_GenPackages()`
`EAttribute` `getGenModel_ImporterID()`
`EAttribute` `getGenModel_InterfaceNamePattern()`
`EAttribute` `getGenModel_Language()`
`EAttribute` `getGenModel_MinimalReflectiveMethods()`
`EAttribute` `getGenModel_ModelDirectory()`
`EAttribute` `getGenModel_ModelName()`
`EAttribute` `getGenModel_ModelPluginClass()`
`EAttribute` `getGenModel_ModelPluginID()`
`EAttribute` `getGenModel_ModelPluginVariables()`
`EAttribute` `getGenModel_NonExternalizedStringTag()`
`EAttribute` `getGenModel_NonNLSMarkers()`
`EAttribute` `getGenModel_OptimizedHasChildren()`
`EAttribute` `getGenModel_PackedEnums()`
`EAttribute` `getGenModel_ProviderRootExtendsClass()`
`EAttribute` `getGenModel_PublicConstructors()`
`EAttribute` `getGenModel_Redirection()`
`EAttribute` `getGenModel_ReflectiveDelegation()`
`EAttribute` `getGenModel_RichClientPlatform()`
`EAttribute` `getGenModel_RootExtendsClass()`
`EAttribute` `getGenModel_RootExtendsInterface()`
`EAttribute` `getGenModel_RootImplementsInterface()`
`EAttribute` `getGenModel_RuntimeCompatibility()`
`EAttribute` `getGenModel_RuntimeJar()`
`EAttribute` `getGenModel_RuntimeVersion()`
`EAttribute` `getGenModel_StaticPackages()`
`EAttribute` `getGenModel_SuppressContainment()`
`EAttribute` `getGenModel_SuppressEMFMetaData()`
`EAttribute` `getGenModel_SuppressEMFModelTags()`
`EAttribute` `getGenModel_SuppressEMFTypes()`
`EAttribute` `getGenModel_SuppressGenModelAnnotations()`
`EAttribute` `getGenModel_SuppressInterfaces()`
`EAttribute` `getGenModel_SuppressNotification()`
`EAttribute` `getGenModel_SuppressUnsettable()`
`EAttribute` `getGenModel_TableProviders()`
`EAttribute` `getGenModel_TemplateDirectory()`
`EAttribute` `getGenModel_TemplatePluginVariables()`
`EAttribute` `getGenModel_TestsDirectory()`
`EAttribute` `getGenModel_TestsPluginID()`
`EAttribute` `getGenModel_TestsPluginVariables()`
`EAttribute` `getGenModel_TestSuiteClass()`
`EAttribute` `getGenModel_UpdateClasspath()`
`EReference` `getGenModel_UsedGenPackages()`
`EClass` `getGenModel()`
`GenModelFactory` `getGenModelFactory()`
`EReference` `getGenOperation_EcoreOperation()`
`EReference` `getGenOperation_GenClass()`
`EReference` `getGenOperation_GenParameters()`
`EReference` `getGenOperation_GenTypeParameters()`
`EClass` `getGenOperation()`
`EAttribute` `getGenPackage_AdapterFactory()`
`EAttribute` `getGenPackage_BasePackage()`
`EAttribute` `getGenPackage_ChildCreationExtenders()`
`EAttribute` `getGenPackage_ClassPackageSuffix()`
`EAttribute` `getGenPackage_ContentTypeIdentifier()`
`EAttribute` `getGenPackage_DataTypeConverters()`
`EAttribute` `getGenPackage_DisposableProviderFactory()`
`EReference` `getGenPackage_EcorePackage()`
`EAttribute` `getGenPackage_ExtensibleProviderFactory()`
`EAttribute` `getGenPackage_FileExtensions()`
`EReference` `getGenPackage_GenClasses()`
`EReference` `getGenPackage_GenClassifiers()`
`EReference` `getGenPackage_GenDataTypes()`
`EReference` `getGenPackage_GenEnums()`
`EAttribute` `getGenPackage_GenerateExampleClass()`
`EAttribute` `getGenPackage_GenerateModelWizard()`
`EReference` `getGenPackage_GenModel()`
`EAttribute` `getGenPackage_InterfacePackageSuffix()`
`EAttribute` `getGenPackage_LiteralsInterface()`
`EAttribute` `getGenPackage_LoadInitialization()`
`EAttribute` `getGenPackage_MetaDataPackageSuffix()`
`EAttribute` `getGenPackage_MultipleEditorPages()`
`EReference` `getGenPackage_NestedGenPackages()`
`EAttribute` `getGenPackage_Prefix()`
`EAttribute` `getGenPackage_PresentationPackageSuffix()`
`EAttribute` `getGenPackage_ProviderPackageSuffix()`
`EAttribute` `getGenPackage_Resource()`
`EAttribute` `getGenPackage_TestsPackageSuffix()`
`EAttribute` `getGenPackage_UtilityPackageSuffix()`
`EClass` `getGenPackage()`
`EReference` `getGenParameter_EcoreParameter()`
`EReference` `getGenParameter_GenOperation()`
`EClass` `getGenParameter()`
`EEnum` `getGenPropertyKind()`
`EEnum` `getGenProviderKind()`
`EEnum` `getGenResourceKind()`
`EEnum` `getGenRuntimeVersion()`
`EClass` `getGenTypedElement()`
`EReference` `getGenTypeParameter_EcoreTypeParameter()`
`EClass` `getGenTypeParameter()`
`static GenModelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GenModelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `GenModelPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `GenModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getGenModel

    public EClass getGenModel()

  Specified by:
    `getGenModel` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Model'.
  See Also:
    `GenModel`

### getGenModel_CopyrightText

    public EAttribute getGenModel_CopyrightText()

  Specified by:
    `getGenModel_CopyrightText` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Copyright Text'.
  See Also:
    `GenModel.getCopyrightText()`, `GenModelPackage.getGenModel()`

### getGenModel_ModelDirectory

    public EAttribute getGenModel_ModelDirectory()

  Specified by:
    `getGenModel_ModelDirectory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Model Directory'.
  See Also:
    `GenModel.getModelDirectory()`, `GenModelPackage.getGenModel()`

### getGenModel_CreationCommands

    public EAttribute getGenModel_CreationCommands()

  Specified by:
    `getGenModel_CreationCommands` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Creation Commands'.
  See Also:
    `GenModel.isCreationCommands()`, `GenModelPackage.getGenModel()`

### getGenModel_CreationIcons

    public EAttribute getGenModel_CreationIcons()

  Specified by:
    `getGenModel_CreationIcons` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Creation Icons'.
  See Also:
    `GenModel.isCreationIcons()`, `GenModelPackage.getGenModel()`

### getGenModel_EditDirectory

    public EAttribute getGenModel_EditDirectory()

  Specified by:
    `getGenModel_EditDirectory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Edit Directory'.
  See Also:
    `GenModel.getEditDirectory()`, `GenModelPackage.getGenModel()`

### getGenModel_CreationSubmenus

    public EAttribute getGenModel_CreationSubmenus()

  Specified by:
    `getGenModel_CreationSubmenus` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Creation Submenus'.
  See Also:
    `GenModel.isCreationSubmenus()`, `GenModelPackage.getGenModel()`

### getGenModel_EditorDirectory

    public EAttribute getGenModel_EditorDirectory()

  Specified by:
    `getGenModel_EditorDirectory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Editor Directory'.
  See Also:
    `GenModel.getEditorDirectory()`, `GenModelPackage.getGenModel()`

### getGenModel_ModelPluginID

    public EAttribute getGenModel_ModelPluginID()

  Specified by:
    `getGenModel_ModelPluginID` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Model Plugin ID'.
  See Also:
    `GenModel.getModelPluginID()`, `GenModelPackage.getGenModel()`

### getGenModel_TemplateDirectory

    public EAttribute getGenModel_TemplateDirectory()

  Specified by:
    `getGenModel_TemplateDirectory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Template Directory'.
  See Also:
    `GenModel.getTemplateDirectory()`, `GenModelPackage.getGenModel()`

### getGenModel_RuntimeJar

    public EAttribute getGenModel_RuntimeJar()

  Specified by:
    `getGenModel_RuntimeJar` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Runtime Jar'.
  See Also:
    `GenModel.isRuntimeJar()`, `GenModelPackage.getGenModel()`

### getGenModel_ForeignModel

    public EAttribute getGenModel_ForeignModel()

  Specified by:
    `getGenModel_ForeignModel` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Foreign Model'.
  See Also:
    `GenModel.getForeignModel()`, `GenModelPackage.getGenModel()`

### getGenModel_DynamicTemplates

    public EAttribute getGenModel_DynamicTemplates()

  Specified by:
    `getGenModel_DynamicTemplates` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Dynamic Templates'.
  See Also:
    `GenModel.isDynamicTemplates()`, `GenModelPackage.getGenModel()`

### getGenModel_Redirection

    public EAttribute getGenModel_Redirection()

  Specified by:
    `getGenModel_Redirection` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Redirection'.
  See Also:
    `GenModel.getRedirection()`, `GenModelPackage.getGenModel()`

### getGenModel_ForceOverwrite

    public EAttribute getGenModel_ForceOverwrite()

  Specified by:
    `getGenModel_ForceOverwrite` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Force Overwrite'.
  See Also:
    `GenModel.isForceOverwrite()`, `GenModelPackage.getGenModel()`

### getGenModel_NonExternalizedStringTag

    public EAttribute getGenModel_NonExternalizedStringTag()

  Specified by:
    `getGenModel_NonExternalizedStringTag` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Non Externalized String Tag'.
  See Also:
    `GenModel.getNonExternalizedStringTag()`, `GenModelPackage.getGenModel()`

### getGenModel_ModelName

    public EAttribute getGenModel_ModelName()

  Specified by:
    `getGenModel_ModelName` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Model Name'.
  See Also:
    `GenModel.getModelName()`, `GenModelPackage.getGenModel()`

### getGenModel_ModelPluginClass

    public EAttribute getGenModel_ModelPluginClass()

  Specified by:
    `getGenModel_ModelPluginClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Model Plugin Class'.
  See Also:
    `GenModel.getModelPluginClass()`, `GenModelPackage.getGenModel()`

### getGenModel_EditPluginClass

    public EAttribute getGenModel_EditPluginClass()

  Specified by:
    `getGenModel_EditPluginClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Edit Plugin Class'.
  See Also:
    `GenModel.getEditPluginClass()`, `GenModelPackage.getGenModel()`

### getGenModel_EditorPluginClass

    public EAttribute getGenModel_EditorPluginClass()

  Specified by:
    `getGenModel_EditorPluginClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Editor Plugin Class'.
  See Also:
    `GenModel.getEditorPluginClass()`, `GenModelPackage.getGenModel()`

### getGenModel_UpdateClasspath

    public EAttribute getGenModel_UpdateClasspath()

  Specified by:
    `getGenModel_UpdateClasspath` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Update Classpath'.
  See Also:
    `GenModel.isUpdateClasspath()`, `GenModelPackage.getGenModel()`

### getGenModel_GenerateSchema

    public EAttribute getGenModel_GenerateSchema()

  Specified by:
    `getGenModel_GenerateSchema` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Generate Schema'.
  See Also:
    `GenModel.isGenerateSchema()`, `GenModelPackage.getGenModel()`

### getGenModel_NonNLSMarkers

    public EAttribute getGenModel_NonNLSMarkers()

  Specified by:
    `getGenModel_NonNLSMarkers` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Non NLS Markers'.
  See Also:
    `GenModel.isNonNLSMarkers()`, `GenModelPackage.getGenModel()`

### getGenModel_StaticPackages

    public EAttribute getGenModel_StaticPackages()

  Specified by:
    `getGenModel_StaticPackages` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Static Packages'.
  See Also:
    `GenModel.getStaticPackages()`, `GenModelPackage.getGenModel()`

### getGenModel_ModelPluginVariables

    public EAttribute getGenModel_ModelPluginVariables()

  Specified by:
    `getGenModel_ModelPluginVariables` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Model Plugin Variables'.
  See Also:
    `GenModel.getModelPluginVariables()`, `GenModelPackage.getGenModel()`

### getGenModel_RootExtendsInterface

    public EAttribute getGenModel_RootExtendsInterface()

  Specified by:
    `getGenModel_RootExtendsInterface` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Root Extends Interface'.
  See Also:
    `GenModel.getRootExtendsInterface()`, `GenModelPackage.getGenModel()`

### getGenModel_RootExtendsClass

    public EAttribute getGenModel_RootExtendsClass()

  Specified by:
    `getGenModel_RootExtendsClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Root Extends Class'.
  See Also:
    `GenModel.getRootExtendsClass()`, `GenModelPackage.getGenModel()`

### getGenModel_RootImplementsInterface

    public EAttribute getGenModel_RootImplementsInterface()

  Specified by:
    `getGenModel_RootImplementsInterface` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Root Implements Interface'.
  See Also:
    `GenModel.getRootImplementsInterface()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressEMFTypes

    public EAttribute getGenModel_SuppressEMFTypes()

  Specified by:
    `getGenModel_SuppressEMFTypes` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress EMF Types'.
  See Also:
    `GenModel.isSuppressEMFTypes()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressEMFMetaData

    public EAttribute getGenModel_SuppressEMFMetaData()

  Specified by:
    `getGenModel_SuppressEMFMetaData` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress EMF Meta Data'.
  See Also:
    `GenModel.isSuppressEMFMetaData()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressEMFModelTags

    public EAttribute getGenModel_SuppressEMFModelTags()

  Specified by:
    `getGenModel_SuppressEMFModelTags` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress EMF Model Tags'.
  See Also:
    `GenModel.isSuppressEMFModelTags()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressInterfaces

    public EAttribute getGenModel_SuppressInterfaces()

  Specified by:
    `getGenModel_SuppressInterfaces` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress Interfaces'.
  See Also:
    `GenModel.isSuppressInterfaces()`, `GenModelPackage.getGenModel()`

### getGenModel_FeatureMapWrapperInterface

    public EAttribute getGenModel_FeatureMapWrapperInterface()

  Specified by:
    `getGenModel_FeatureMapWrapperInterface` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Feature Map Wrapper Interface'.
  See Also:
    `GenModel.getFeatureMapWrapperInterface()`, `GenModelPackage.getGenModel()`

### getGenModel_FeatureMapWrapperInternalInterface

    public EAttribute getGenModel_FeatureMapWrapperInternalInterface()

  Specified by:
    `getGenModel_FeatureMapWrapperInternalInterface` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Feature Map Wrapper Internal Interface'.
  See Also:
    `GenModel.getFeatureMapWrapperInternalInterface()`, `GenModelPackage.getGenModel()`

### getGenModel_FeatureMapWrapperClass

    public EAttribute getGenModel_FeatureMapWrapperClass()

  Specified by:
    `getGenModel_FeatureMapWrapperClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Feature Map Wrapper Class'.
  See Also:
    `GenModel.getFeatureMapWrapperClass()`, `GenModelPackage.getGenModel()`

### getGenModel_RuntimeCompatibility

    public EAttribute getGenModel_RuntimeCompatibility()

  Specified by:
    `getGenModel_RuntimeCompatibility` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Runtime Compatibility'.
  See Also:
    `GenModel.isRuntimeCompatibility()`, `GenModelPackage.getGenModel()`

### getGenModel_RichClientPlatform

    public EAttribute getGenModel_RichClientPlatform()

  Specified by:
    `getGenModel_RichClientPlatform` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Rich Client Platform'.
  See Also:
    `GenModel.isRichClientPlatform()`, `GenModelPackage.getGenModel()`

### getGenModel_ReflectiveDelegation

    public EAttribute getGenModel_ReflectiveDelegation()

  Specified by:
    `getGenModel_ReflectiveDelegation` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Reflective Delegation'.
  See Also:
    `GenModel.isReflectiveDelegation()`, `GenModelPackage.getGenModel()`

### getGenModel_CodeFormatting

    public EAttribute getGenModel_CodeFormatting()

  Specified by:
    `getGenModel_CodeFormatting` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Code Formatting'.
  See Also:
    `GenModel.isCodeFormatting()`, `GenModelPackage.getGenModel()`

### getGenModel_TestsDirectory

    public EAttribute getGenModel_TestsDirectory()

  Specified by:
    `getGenModel_TestsDirectory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Tests Directory'.
  See Also:
    `GenModel.getTestsDirectory()`, `GenModelPackage.getGenModel()`

### getGenModel_TestSuiteClass

    public EAttribute getGenModel_TestSuiteClass()

  Specified by:
    `getGenModel_TestSuiteClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Test Suite Class'.
  See Also:
    `GenModel.getTestSuiteClass()`, `GenModelPackage.getGenModel()`

### getGenModel_BooleanFlagsField

    public EAttribute getGenModel_BooleanFlagsField()

  Specified by:
    `getGenModel_BooleanFlagsField` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Boolean Flags Field'.
  See Also:
    `GenModel.getBooleanFlagsField()`, `GenModelPackage.getGenModel()`

### getGenModel_BooleanFlagsReservedBits

    public EAttribute getGenModel_BooleanFlagsReservedBits()

  Specified by:
    `getGenModel_BooleanFlagsReservedBits` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Boolean Flags Reserved Bits'.
  See Also:
    `GenModel.getBooleanFlagsReservedBits()`, `GenModelPackage.getGenModel()`

### getGenModel_ImporterID

    public EAttribute getGenModel_ImporterID()

  Specified by:
    `getGenModel_ImporterID` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Importer ID'.
  See Also:
    `GenModel.getImporterID()`, `GenModelPackage.getGenModel()`

### getGenModel_BundleManifest

    public EAttribute getGenModel_BundleManifest()

  Specified by:
    `getGenModel_BundleManifest` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Bundle Manifest'.
  See Also:
    `GenModel.isBundleManifest()`, `GenModelPackage.getGenModel()`

### getGenModel_FeatureDelegation

    public EAttribute getGenModel_FeatureDelegation()

  Specified by:
    `getGenModel_FeatureDelegation` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Feature Delegation'.
  See Also:
    `GenModel.getFeatureDelegation()`, `GenModelPackage.getGenModel()`

### getGenModel_ContainmentProxies

    public EAttribute getGenModel_ContainmentProxies()

  Specified by:
    `getGenModel_ContainmentProxies` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Containment Proxies'.
  See Also:
    `GenModel.isContainmentProxies()`, `GenModelPackage.getGenModel()`

### getGenModel_MinimalReflectiveMethods

    public EAttribute getGenModel_MinimalReflectiveMethods()

  Specified by:
    `getGenModel_MinimalReflectiveMethods` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Minimal Reflective Methods'.
  See Also:
    `GenModel.isMinimalReflectiveMethods()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressContainment

    public EAttribute getGenModel_SuppressContainment()

  Specified by:
    `getGenModel_SuppressContainment` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress Containment'.
  See Also:
    `GenModel.isSuppressContainment()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressNotification

    public EAttribute getGenModel_SuppressNotification()

  Specified by:
    `getGenModel_SuppressNotification` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress Notification'.
  See Also:
    `GenModel.isSuppressNotification()`, `GenModelPackage.getGenModel()`

### getGenModel_ArrayAccessors

    public EAttribute getGenModel_ArrayAccessors()

  Specified by:
    `getGenModel_ArrayAccessors` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Array Accessors'.
  See Also:
    `GenModel.isArrayAccessors()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressUnsettable

    public EAttribute getGenModel_SuppressUnsettable()

  Specified by:
    `getGenModel_SuppressUnsettable` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress Unsettable'.
  See Also:
    `GenModel.isSuppressUnsettable()`, `GenModelPackage.getGenModel()`

### getGenModel_FacadeHelperClass

    public EAttribute getGenModel_FacadeHelperClass()

  Specified by:
    `getGenModel_FacadeHelperClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Facade Helper Class'.
  See Also:
    `GenModel.getFacadeHelperClass()`, `GenModelPackage.getGenModel()`

### getGenModel_ComplianceLevel

    public EAttribute getGenModel_ComplianceLevel()

  Specified by:
    `getGenModel_ComplianceLevel` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Compliance Level'.
  See Also:
    `GenModel.getComplianceLevel()`, `GenModelPackage.getGenModel()`

### getGenModel_SuppressGenModelAnnotations

    public EAttribute getGenModel_SuppressGenModelAnnotations()

  Specified by:
    `getGenModel_SuppressGenModelAnnotations` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Suppress Gen Model Annotations'.
  See Also:
    `GenModel.isSuppressGenModelAnnotations()`, `GenModelPackage.getGenModel()`

### getGenModel_CopyrightFields

    public EAttribute getGenModel_CopyrightFields()

  Specified by:
    `getGenModel_CopyrightFields` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Copyright Fields'.
  See Also:
    `GenModel.isCopyrightFields()`, `GenModelPackage.getGenModel()`

### getGenModel_BinaryCompatibleReflectiveMethods

    public EAttribute getGenModel_BinaryCompatibleReflectiveMethods()

  Specified by:
    `getGenModel_BinaryCompatibleReflectiveMethods` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Binary Compatible Reflective Methods'.
  See Also:
    `GenModel.isBinaryCompatibleReflectiveMethods()`, `GenModelPackage.getGenModel()`

### getGenModel_PublicConstructors

    public EAttribute getGenModel_PublicConstructors()

  Specified by:
    `getGenModel_PublicConstructors` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Public Constructors'.
  See Also:
    `GenModel.isPublicConstructors()`, `GenModelPackage.getGenModel()`

### getGenModel_TemplatePluginVariables

    public EAttribute getGenModel_TemplatePluginVariables()

  Specified by:
    `getGenModel_TemplatePluginVariables` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Template Plugin Variables'.
  See Also:
    `GenModel.getTemplatePluginVariables()`, `GenModelPackage.getGenModel()`

### getGenModel_ProviderRootExtendsClass

    public EAttribute getGenModel_ProviderRootExtendsClass()

  Specified by:
    `getGenModel_ProviderRootExtendsClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Provider Root Extends Class'.
  See Also:
    `GenModel.getProviderRootExtendsClass()`, `GenModelPackage.getGenModel()`

### getGenModel_EditPluginID

    public EAttribute getGenModel_EditPluginID()

  Specified by:
    `getGenModel_EditPluginID` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Edit Plugin ID'.
  See Also:
    `GenModel.getEditPluginID()`, `GenModelPackage.getGenModel()`

### getGenModel_EditPluginVariables

    public EAttribute getGenModel_EditPluginVariables()

  Specified by:
    `getGenModel_EditPluginVariables` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Edit Plugin Variables'.
  See Also:
    `GenModel.getEditPluginVariables()`, `GenModelPackage.getGenModel()`

### getGenModel_EditorPluginID

    public EAttribute getGenModel_EditorPluginID()

  Specified by:
    `getGenModel_EditorPluginID` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Editor Plugin ID'.
  See Also:
    `GenModel.getEditorPluginID()`, `GenModelPackage.getGenModel()`

### getGenModel_EditorPluginVariables

    public EAttribute getGenModel_EditorPluginVariables()

  Specified by:
    `getGenModel_EditorPluginVariables` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Editor Plugin Variables'.
  See Also:
    `GenModel.getEditorPluginVariables()`, `GenModelPackage.getGenModel()`

### getGenModel_TestsPluginID

    public EAttribute getGenModel_TestsPluginID()

  Specified by:
    `getGenModel_TestsPluginID` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Tests Plugin ID'.
  See Also:
    `GenModel.getTestsPluginID()`, `GenModelPackage.getGenModel()`

### getGenModel_TestsPluginVariables

    public EAttribute getGenModel_TestsPluginVariables()

  Specified by:
    `getGenModel_TestsPluginVariables` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Tests Plugin Variables'.
  See Also:
    `GenModel.getTestsPluginVariables()`, `GenModelPackage.getGenModel()`

### getGenModel_OptimizedHasChildren

    public EAttribute getGenModel_OptimizedHasChildren()

  Specified by:
    `getGenModel_OptimizedHasChildren` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Optimized Has Children'.
  See Also:
    `GenModel.isOptimizedHasChildren()`, `GenModelPackage.getGenModel()`

### getGenModel_TableProviders

    public EAttribute getGenModel_TableProviders()

  Specified by:
    `getGenModel_TableProviders` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Table Providers'.
  See Also:
    `GenModel.isTableProviders()`, `GenModelPackage.getGenModel()`

### getGenModel_ColorProviders

    public EAttribute getGenModel_ColorProviders()

  Specified by:
    `getGenModel_ColorProviders` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Color Providers'.
  See Also:
    `GenModel.isColorProviders()`, `GenModelPackage.getGenModel()`

### getGenModel_FontProviders

    public EAttribute getGenModel_FontProviders()

  Specified by:
    `getGenModel_FontProviders` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Font Providers'.
  See Also:
    `GenModel.isFontProviders()`, `GenModelPackage.getGenModel()`

### getGenModel_RuntimeVersion

    public EAttribute getGenModel_RuntimeVersion()

  Specified by:
    `getGenModel_RuntimeVersion` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Runtime Version'.
  See Also:
    `GenModel.getRuntimeVersion()`, `GenModelPackage.getGenModel()`

### getGenModel_Language

    public EAttribute getGenModel_Language()

  Specified by:
    `getGenModel_Language` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `GenModel.getLanguage()`, `GenModelPackage.getGenModel()`

### getGenModel_PackedEnums

    public EAttribute getGenModel_PackedEnums()

  Specified by:
    `getGenModel_PackedEnums` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Packed Enums'.
  See Also:
    `GenModel.isPackedEnums()`, `GenModelPackage.getGenModel()`

### getGenModel_GenPackages

    public EReference getGenModel_GenPackages()

  Specified by:
    `getGenModel_GenPackages` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Packages'.
  See Also:
    `GenModel.getGenPackages()`, `GenModelPackage.getGenModel()`

### getGenModel_UsedGenPackages

    public EReference getGenModel_UsedGenPackages()

  Specified by:
    `getGenModel_UsedGenPackages` in interface `GenModelPackage`
  Returns:
    the meta object for the reference list 'Used Gen Packages'.
  See Also:
    `GenModel.getUsedGenPackages()`, `GenModelPackage.getGenModel()`

### getGenModel_InterfaceNamePattern

    public EAttribute getGenModel_InterfaceNamePattern()

  Specified by:
    `getGenModel_InterfaceNamePattern` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Interface Name Pattern'.
  See Also:
    `GenModel.getInterfaceNamePattern()`, `GenModelPackage.getGenModel()`

### getGenModel_ClassNamePattern

    public EAttribute getGenModel_ClassNamePattern()

  Specified by:
    `getGenModel_ClassNamePattern` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Class Name Pattern'.
  See Also:
    `GenModel.getClassNamePattern()`, `GenModelPackage.getGenModel()`

### getGenPackage

    public EClass getGenPackage()

  Specified by:
    `getGenPackage` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Package'.
  See Also:
    `GenPackage`

### getGenPackage_Prefix

    public EAttribute getGenPackage_Prefix()

  Specified by:
    `getGenPackage_Prefix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `GenPackage.getPrefix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_BasePackage

    public EAttribute getGenPackage_BasePackage()

  Specified by:
    `getGenPackage_BasePackage` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Base Package'.
  See Also:
    `GenPackage.getBasePackage()`, `GenModelPackage.getGenPackage()`

### getGenPackage_Resource

    public EAttribute getGenPackage_Resource()

  Specified by:
    `getGenPackage_Resource` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Resource'.
  See Also:
    `GenPackage.getResource()`, `GenModelPackage.getGenPackage()`

### getGenPackage_DisposableProviderFactory

    public EAttribute getGenPackage_DisposableProviderFactory()

  Specified by:
    `getGenPackage_DisposableProviderFactory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Disposable Provider Factory'.
  See Also:
    `GenPackage.isDisposableProviderFactory()`, `GenModelPackage.getGenPackage()`

### getGenPackage_AdapterFactory

    public EAttribute getGenPackage_AdapterFactory()

  Specified by:
    `getGenPackage_AdapterFactory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Adapter Factory'.
  See Also:
    `GenPackage.isAdapterFactory()`, `GenModelPackage.getGenPackage()`

### getGenPackage_LoadInitialization

    public EAttribute getGenPackage_LoadInitialization()

  Specified by:
    `getGenPackage_LoadInitialization` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Load Initialization'.
  See Also:
    `GenPackage.isLoadInitialization()`, `GenModelPackage.getGenPackage()`

### getGenPackage_InterfacePackageSuffix

    public EAttribute getGenPackage_InterfacePackageSuffix()

  Specified by:
    `getGenPackage_InterfacePackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Interface Package Suffix'.
  See Also:
    `GenPackage.getInterfacePackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_MetaDataPackageSuffix

    public EAttribute getGenPackage_MetaDataPackageSuffix()

  Specified by:
    `getGenPackage_MetaDataPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Meta Data Package Suffix'.
  See Also:
    `GenPackage.getMetaDataPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_ClassPackageSuffix

    public EAttribute getGenPackage_ClassPackageSuffix()

  Specified by:
    `getGenPackage_ClassPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Class Package Suffix'.
  See Also:
    `GenPackage.getClassPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_UtilityPackageSuffix

    public EAttribute getGenPackage_UtilityPackageSuffix()

  Specified by:
    `getGenPackage_UtilityPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Utility Package Suffix'.
  See Also:
    `GenPackage.getUtilityPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_ProviderPackageSuffix

    public EAttribute getGenPackage_ProviderPackageSuffix()

  Specified by:
    `getGenPackage_ProviderPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Provider Package Suffix'.
  See Also:
    `GenPackage.getProviderPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_PresentationPackageSuffix

    public EAttribute getGenPackage_PresentationPackageSuffix()

  Specified by:
    `getGenPackage_PresentationPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Presentation Package Suffix'.
  See Also:
    `GenPackage.getPresentationPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_TestsPackageSuffix

    public EAttribute getGenPackage_TestsPackageSuffix()

  Specified by:
    `getGenPackage_TestsPackageSuffix` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Tests Package Suffix'.
  See Also:
    `GenPackage.getTestsPackageSuffix()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenerateExampleClass

    public EAttribute getGenPackage_GenerateExampleClass()

  Specified by:
    `getGenPackage_GenerateExampleClass` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Generate Example Class'.
  See Also:
    `GenPackage.isGenerateExampleClass()`, `GenModelPackage.getGenPackage()`

### getGenPackage_LiteralsInterface

    public EAttribute getGenPackage_LiteralsInterface()

  Specified by:
    `getGenPackage_LiteralsInterface` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Literals Interface'.
  See Also:
    `GenPackage.isLiteralsInterface()`, `GenModelPackage.getGenPackage()`

### getGenPackage_DataTypeConverters

    public EAttribute getGenPackage_DataTypeConverters()

  Specified by:
    `getGenPackage_DataTypeConverters` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Data Type Converters'.
  See Also:
    `GenPackage.isDataTypeConverters()`, `GenModelPackage.getGenPackage()`

### getGenPackage_MultipleEditorPages

    public EAttribute getGenPackage_MultipleEditorPages()

  Specified by:
    `getGenPackage_MultipleEditorPages` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Multiple Editor Pages'.
  See Also:
    `GenPackage.isMultipleEditorPages()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenerateModelWizard

    public EAttribute getGenPackage_GenerateModelWizard()

  Specified by:
    `getGenPackage_GenerateModelWizard` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Generate Model Wizard'.
  See Also:
    `GenPackage.isGenerateModelWizard()`, `GenModelPackage.getGenPackage()`

### getGenPackage_ExtensibleProviderFactory

    public EAttribute getGenPackage_ExtensibleProviderFactory()

  Specified by:
    `getGenPackage_ExtensibleProviderFactory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Extensible Provider Factory'.
  See Also:
    `GenPackage.isExtensibleProviderFactory()`, `GenModelPackage.getGenPackage()`

### getGenPackage_ChildCreationExtenders

    public EAttribute getGenPackage_ChildCreationExtenders()

  Specified by:
    `getGenPackage_ChildCreationExtenders` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Child Creation Extenders'.
  See Also:
    `GenPackage.isChildCreationExtenders()`, `GenModelPackage.getGenPackage()`

### getGenPackage_ContentTypeIdentifier

    public EAttribute getGenPackage_ContentTypeIdentifier()

  Specified by:
    `getGenPackage_ContentTypeIdentifier` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Content Type Identifier'.
  See Also:
    `GenPackage.getContentTypeIdentifier()`, `GenModelPackage.getGenPackage()`

### getGenPackage_FileExtensions

    public EAttribute getGenPackage_FileExtensions()

  Specified by:
    `getGenPackage_FileExtensions` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'File Extensions'.
  See Also:
    `GenPackage.getFileExtensions()`, `GenModelPackage.getGenPackage()`

### getGenPackage_EcorePackage

    public EReference getGenPackage_EcorePackage()

  Specified by:
    `getGenPackage_EcorePackage` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Package'.
  See Also:
    `GenPackage.getEcorePackage()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenModel

    public EReference getGenPackage_GenModel()

  Specified by:
    `getGenPackage_GenModel` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Model'.
  See Also:
    `GenPackage.getGenModel()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenEnums

    public EReference getGenPackage_GenEnums()

  Specified by:
    `getGenPackage_GenEnums` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Enums'.
  See Also:
    `GenPackage.getGenEnums()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenDataTypes

    public EReference getGenPackage_GenDataTypes()

  Specified by:
    `getGenPackage_GenDataTypes` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Data Types'.
  See Also:
    `GenPackage.getGenDataTypes()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenClasses

    public EReference getGenPackage_GenClasses()

  Specified by:
    `getGenPackage_GenClasses` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Classes'.
  See Also:
    `GenPackage.getGenClasses()`, `GenModelPackage.getGenPackage()`

### getGenPackage_NestedGenPackages

    public EReference getGenPackage_NestedGenPackages()

  Specified by:
    `getGenPackage_NestedGenPackages` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Nested Gen Packages'.
  See Also:
    `GenPackage.getNestedGenPackages()`, `GenModelPackage.getGenPackage()`

### getGenPackage_GenClassifiers

    public EReference getGenPackage_GenClassifiers()

  Specified by:
    `getGenPackage_GenClassifiers` in interface `GenModelPackage`
  Returns:
    the meta object for the reference list 'Gen Classifiers'.
  See Also:
    `GenPackage.getGenClassifiers()`, `GenModelPackage.getGenPackage()`

### getGenClass

    public EClass getGenClass()

  Specified by:
    `getGenClass` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Class'.
  See Also:
    `GenClass`

### getGenClass_Provider

    public EAttribute getGenClass_Provider()

  Specified by:
    `getGenClass_Provider` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Provider'.
  See Also:
    `GenClass.getProvider()`, `GenModelPackage.getGenClass()`

### getGenClass_Image

    public EAttribute getGenClass_Image()

  Specified by:
    `getGenClass_Image` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Image'.
  See Also:
    `GenClass.isImage()`, `GenModelPackage.getGenClass()`

### getGenClass_Dynamic

    public EAttribute getGenClass_Dynamic()

  Specified by:
    `getGenClass_Dynamic` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Dynamic'.
  See Also:
    `GenClass.isDynamic()`, `GenModelPackage.getGenClass()`

### getGenClass_EcoreClass

    public EReference getGenClass_EcoreClass()

  Specified by:
    `getGenClass_EcoreClass` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Class'.
  See Also:
    `GenClass.getEcoreClass()`, `GenModelPackage.getGenClass()`

### getGenClass_GenFeatures

    public EReference getGenClass_GenFeatures()

  Specified by:
    `getGenClass_GenFeatures` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Features'.
  See Also:
    `GenClass.getGenFeatures()`, `GenModelPackage.getGenClass()`

### getGenClass_GenOperations

    public EReference getGenClass_GenOperations()

  Specified by:
    `getGenClass_GenOperations` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Operations'.
  See Also:
    `GenClass.getGenOperations()`, `GenModelPackage.getGenClass()`

### getGenClass_LabelFeature

    public EReference getGenClass_LabelFeature()

  Specified by:
    `getGenClass_LabelFeature` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Label Feature'.
  See Also:
    `GenClass.getLabelFeature()`, `GenModelPackage.getGenClass()`

### getGenFeature

    public EClass getGenFeature()

  Specified by:
    `getGenFeature` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Feature'.
  See Also:
    `GenFeature`

### getGenFeature_Property

    public EAttribute getGenFeature_Property()

  Specified by:
    `getGenFeature_Property` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Property'.
  See Also:
    `GenFeature.getProperty()`, `GenModelPackage.getGenFeature()`

### getGenFeature_Notify

    public EAttribute getGenFeature_Notify()

  Specified by:
    `getGenFeature_Notify` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Notify'.
  See Also:
    `GenFeature.isNotify()`, `GenModelPackage.getGenFeature()`

### getGenFeature_Children

    public EAttribute getGenFeature_Children()

  Specified by:
    `getGenFeature_Children` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Children'.
  See Also:
    `GenFeature.isChildren()`, `GenModelPackage.getGenFeature()`

### getGenFeature_CreateChild

    public EAttribute getGenFeature_CreateChild()

  Specified by:
    `getGenFeature_CreateChild` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Create Child'.
  See Also:
    `GenFeature.isCreateChild()`, `GenModelPackage.getGenFeature()`

### getGenFeature_PropertyCategory

    public EAttribute getGenFeature_PropertyCategory()

  Specified by:
    `getGenFeature_PropertyCategory` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Property Category'.
  See Also:
    `GenFeature.getPropertyCategory()`, `GenModelPackage.getGenFeature()`

### getGenFeature_PropertyFilterFlags

    public EAttribute getGenFeature_PropertyFilterFlags()

  Specified by:
    `getGenFeature_PropertyFilterFlags` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute list 'Property Filter Flags'.
  See Also:
    `GenFeature.getPropertyFilterFlags()`, `GenModelPackage.getGenFeature()`

### getGenFeature_PropertyDescription

    public EAttribute getGenFeature_PropertyDescription()

  Specified by:
    `getGenFeature_PropertyDescription` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Property Description'.
  See Also:
    `GenFeature.getPropertyDescription()`, `GenModelPackage.getGenFeature()`

### getGenFeature_PropertyMultiLine

    public EAttribute getGenFeature_PropertyMultiLine()

  Specified by:
    `getGenFeature_PropertyMultiLine` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Property Multi Line'.
  See Also:
    `GenFeature.isPropertyMultiLine()`, `GenModelPackage.getGenFeature()`

### getGenFeature_PropertySortChoices

    public EAttribute getGenFeature_PropertySortChoices()

  Specified by:
    `getGenFeature_PropertySortChoices` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Property Sort Choices'.
  See Also:
    `GenFeature.isPropertySortChoices()`, `GenModelPackage.getGenFeature()`

### getGenFeature_GenClass

    public EReference getGenFeature_GenClass()

  Specified by:
    `getGenFeature_GenClass` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Class'.
  See Also:
    `GenFeature.getGenClass()`, `GenModelPackage.getGenFeature()`

### getGenFeature_EcoreFeature

    public EReference getGenFeature_EcoreFeature()

  Specified by:
    `getGenFeature_EcoreFeature` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Feature'.
  See Also:
    `GenFeature.getEcoreFeature()`, `GenModelPackage.getGenFeature()`

### getGenBase

    public EClass getGenBase()

  Specified by:
    `getGenBase` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Base'.
  See Also:
    `GenBase`

### getGenBase_GenAnnotations

    public EReference getGenBase_GenAnnotations()

  Specified by:
    `getGenBase_GenAnnotations` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Annotations'.
  See Also:
    `GenBase.getGenAnnotations()`, `GenModelPackage.getGenBase()`

### getGenEnum

    public EClass getGenEnum()

  Specified by:
    `getGenEnum` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Enum'.
  See Also:
    `GenEnum`

### getGenEnum_TypeSafeEnumCompatible

    public EAttribute getGenEnum_TypeSafeEnumCompatible()

  Specified by:
    `getGenEnum_TypeSafeEnumCompatible` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Type Safe Enum Compatible'.
  See Also:
    `GenEnum.isTypeSafeEnumCompatible()`, `GenModelPackage.getGenEnum()`

### getGenEnum_EcoreEnum

    public EReference getGenEnum_EcoreEnum()

  Specified by:
    `getGenEnum_EcoreEnum` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Enum'.
  See Also:
    `GenEnum.getEcoreEnum()`, `GenModelPackage.getGenEnum()`

### getGenEnum_GenEnumLiterals

    public EReference getGenEnum_GenEnumLiterals()

  Specified by:
    `getGenEnum_GenEnumLiterals` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Enum Literals'.
  See Also:
    `GenEnum.getGenEnumLiterals()`, `GenModelPackage.getGenEnum()`

### getGenEnumLiteral

    public EClass getGenEnumLiteral()

  Specified by:
    `getGenEnumLiteral` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Enum Literal'.
  See Also:
    `GenEnumLiteral`

### getGenEnumLiteral_GenEnum

    public EReference getGenEnumLiteral_GenEnum()

  Specified by:
    `getGenEnumLiteral_GenEnum` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Enum'.
  See Also:
    `GenEnumLiteral.getGenEnum()`, `GenModelPackage.getGenEnumLiteral()`

### getGenEnumLiteral_EcoreEnumLiteral

    public EReference getGenEnumLiteral_EcoreEnumLiteral()

  Specified by:
    `getGenEnumLiteral_EcoreEnumLiteral` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Enum Literal'.
  See Also:
    `GenEnumLiteral.getEcoreEnumLiteral()`, `GenModelPackage.getGenEnumLiteral()`

### getGenClassifier

    public EClass getGenClassifier()

  Specified by:
    `getGenClassifier` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Classifier'.
  See Also:
    `GenClassifier`

### getGenClassifier_GenPackage

    public EReference getGenClassifier_GenPackage()

  Specified by:
    `getGenClassifier_GenPackage` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Gen Package'.
  See Also:
    `GenClassifier.getGenPackage()`, `GenModelPackage.getGenClassifier()`

### getGenClassifier_GenTypeParameters

    public EReference getGenClassifier_GenTypeParameters()

  Specified by:
    `getGenClassifier_GenTypeParameters` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Type Parameters'.
  See Also:
    `GenClassifier.getGenTypeParameters()`, `GenModelPackage.getGenClassifier()`

### getGenDataType

    public EClass getGenDataType()

  Specified by:
    `getGenDataType` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Data Type'.
  See Also:
    `GenDataType`

### getGenDataType_EcoreDataType

    public EReference getGenDataType_EcoreDataType()

  Specified by:
    `getGenDataType_EcoreDataType` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Data Type'.
  See Also:
    `GenDataType.getEcoreDataType()`, `GenModelPackage.getGenDataType()`

### getGenOperation

    public EClass getGenOperation()

  Specified by:
    `getGenOperation` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Operation'.
  See Also:
    `GenOperation`

### getGenOperation_GenClass

    public EReference getGenOperation_GenClass()

  Specified by:
    `getGenOperation_GenClass` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Class'.
  See Also:
    `GenOperation.getGenClass()`, `GenModelPackage.getGenOperation()`

### getGenOperation_EcoreOperation

    public EReference getGenOperation_EcoreOperation()

  Specified by:
    `getGenOperation_EcoreOperation` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Operation'.
  See Also:
    `GenOperation.getEcoreOperation()`, `GenModelPackage.getGenOperation()`

### getGenOperation_GenParameters

    public EReference getGenOperation_GenParameters()

  Specified by:
    `getGenOperation_GenParameters` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Parameters'.
  See Also:
    `GenOperation.getGenParameters()`, `GenModelPackage.getGenOperation()`

### getGenOperation_GenTypeParameters

    public EReference getGenOperation_GenTypeParameters()

  Specified by:
    `getGenOperation_GenTypeParameters` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Gen Type Parameters'.
  See Also:
    `GenOperation.getGenTypeParameters()`, `GenModelPackage.getGenOperation()`

### getGenParameter

    public EClass getGenParameter()

  Specified by:
    `getGenParameter` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Parameter'.
  See Also:
    `GenParameter`

### getGenParameter_GenOperation

    public EReference getGenParameter_GenOperation()

  Specified by:
    `getGenParameter_GenOperation` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Operation'.
  See Also:
    `GenParameter.getGenOperation()`, `GenModelPackage.getGenParameter()`

### getGenParameter_EcoreParameter

    public EReference getGenParameter_EcoreParameter()

  Specified by:
    `getGenParameter_EcoreParameter` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Parameter'.
  See Also:
    `GenParameter.getEcoreParameter()`, `GenModelPackage.getGenParameter()`

### getGenTypedElement

    public EClass getGenTypedElement()

  Specified by:
    `getGenTypedElement` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Typed Element'.
  See Also:
    `GenTypedElement`

### getGenAnnotation

    public EClass getGenAnnotation()

  Specified by:
    `getGenAnnotation` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Annotation'.
  See Also:
    `GenAnnotation`

### getGenAnnotation_Source

    public EAttribute getGenAnnotation_Source()

  Specified by:
    `getGenAnnotation_Source` in interface `GenModelPackage`
  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `GenAnnotation.getSource()`, `GenModelPackage.getGenAnnotation()`

### getGenAnnotation_Details

    public EReference getGenAnnotation_Details()

  Specified by:
    `getGenAnnotation_Details` in interface `GenModelPackage`
  Returns:
    the meta object for the map 'Details'.
  See Also:
    `GenAnnotation.getDetails()`, `GenModelPackage.getGenAnnotation()`

### getGenAnnotation_GenBase

    public EReference getGenAnnotation_GenBase()

  Specified by:
    `getGenAnnotation_GenBase` in interface `GenModelPackage`
  Returns:
    the meta object for the container reference 'Gen Base'.
  See Also:
    `GenAnnotation.getGenBase()`, `GenModelPackage.getGenAnnotation()`

### getGenAnnotation_References

    public EReference getGenAnnotation_References()

  Specified by:
    `getGenAnnotation_References` in interface `GenModelPackage`
  Returns:
    the meta object for the reference list 'References'.
  See Also:
    `GenAnnotation.getReferences()`, `GenModelPackage.getGenAnnotation()`

### getGenAnnotation_Contents

    public EReference getGenAnnotation_Contents()

  Specified by:
    `getGenAnnotation_Contents` in interface `GenModelPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `GenAnnotation.getContents()`, `GenModelPackage.getGenAnnotation()`

### getGenTypeParameter

    public EClass getGenTypeParameter()

  Specified by:
    `getGenTypeParameter` in interface `GenModelPackage`
  Returns:
    the meta object for class 'Gen Type Parameter'.
  See Also:
    `GenTypeParameter`

### getGenTypeParameter_EcoreTypeParameter

    public EReference getGenTypeParameter_EcoreTypeParameter()

  Specified by:
    `getGenTypeParameter_EcoreTypeParameter` in interface `GenModelPackage`
  Returns:
    the meta object for the reference 'Ecore Type Parameter'.
  See Also:
    `GenTypeParameter.getEcoreTypeParameter()`, `GenModelPackage.getGenTypeParameter()`

### getGenProviderKind

    public EEnum getGenProviderKind()

  Specified by:
    `getGenProviderKind` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen Provider Kind'.
  See Also:
    `GenProviderKind`

### getGenPropertyKind

    public EEnum getGenPropertyKind()

  Specified by:
    `getGenPropertyKind` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen Property Kind'.
  See Also:
    `GenPropertyKind`

### getGenResourceKind

    public EEnum getGenResourceKind()

  Specified by:
    `getGenResourceKind` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen Resource Kind'.
  See Also:
    `GenResourceKind`

### getGenDelegationKind

    public EEnum getGenDelegationKind()

  Specified by:
    `getGenDelegationKind` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen Delegation Kind'.
  See Also:
    `GenDelegationKind`

### getGenJDKLevel

    public EEnum getGenJDKLevel()

  Specified by:
    `getGenJDKLevel` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen JDK Level'.
  See Also:
    `GenJDKLevel`

### getGenRuntimeVersion

    public EEnum getGenRuntimeVersion()

  Specified by:
    `getGenRuntimeVersion` in interface `GenModelPackage`
  Returns:
    the meta object for enum 'Gen Runtime Version'.
  See Also:
    `GenRuntimeVersion`

### getGenModelFactory

    public GenModelFactory getGenModelFactory()

  Specified by:
    `getGenModelFactory` in interface `GenModelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createEcoreAnnotations

    protected void createEcoreAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.